Name:		gnuradio
Version:	3.7.10.1
Release:	%mkrel 1

Summary:	Software defined radio framework
Group:		Sciences/Engineering
License:	GPLv3
URL:		http://www.gnuradio.org
Source0:	http://gnuradio.org/releases/gnuradio/gnuradio-%{version}.tar.xz
Patch0:		gnuradio-3.7.1-mga-cmakelists.patch
Patch1:		gnuradio-3.7.9-ubu-FindGSL.cmake.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	cmake, fftw-devel, cppunit-devel
BuildRequires:	graphviz-devel, boost-devel, python-devel, swig, doxygen
BuildRequires:	libusbx-devel,  SDL-devel, %{_lib}guile1.8-devel
BuildRequires:	%{_lib}portaudio-devel, libtool
BuildRequires:	gsl-devel, tetex-latex, python-numpy-devel, python-qt4-devel
BuildRequires:	libqwt-devel,  python-cheetah, uhd-devel
BuildRequires:	xdg-utils, python-lxml,pygtk2.0-devel
BuildRequires:	wxPythonGTK-devel
BuildRequires:	%{_lib}alsa2-devel
BuildRequires:	%{_lib}qwtplot3d-devel
#Build with orc-devel >= 0.4.11  
BuildRequires:  orc
Requires:	pygtk2.0, python-numpy, wxPythonGTK, python-scipy
Requires:	python-cheetah, python-qt4, python-lxml, python-pyaudio


%description
GNU Radio is a collection of software that when combined with minimal 
hardware, allows the construction of radios where the actual waveforms 
transmitted and received are defined by software. What this means is 
that it turns the digital modulation schemes used in today's high 
performance wireless devices into software problems.

%package devel
Summary:	GNU Radio
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}


%description devel
Header files for %{name}


%prep
%setup -q
%apply_patches

#force regeneration of cached moc output files
find . -name "*_moc.cc" -exec rm {} \;

%build
LDFLAGS="%{ldflags} -L%{_libdir}/atlas" \
%cmake \
	-DCMAKE_MODULE_LINKER_FLAGS="%(echo %ldflags|sed -e 's#-Wl,--no-undefined##') -L%{_libdir}/atlas"

%make 

%install
rm -rf %{buildroot}
pushd build
%makeinstall_std 

# install some more docs
popd
mkdir -p %{buildroot}%{_docdir}/%{name}-%{version}
install -m 644 -t %{buildroot}%{_docdir}/%{name}-%{version} COPYING

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/grc.desktop << EOF
[Desktop Entry]
Version=1.0
Type=Application
Name=GRC
Terminal=false
Type=Application
Exec=gnuradio-companion %F
Categories=Development;X-MandrivaLinux-MoreApplications-Development-Tools;
MimeType=application/gnuradio-grc;
Icon=%{_datadir}/gnuradio/grc/freedesktop/grc-icon-48.png
EOF

find %{buildroot} -name "*.la" -delete

rm -rf %{buildroot}%{_datadir}/doc/gnuradio-3.7.10git

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{_libdir}/python2.7
%{_bindir}/*
%{_libdir}/lib*.so.*
%{_datadir}/applications/grc.desktop
%{_datadir}/gnuradio
%config(noreplace) %{_sysconfdir}/gnuradio
%exclude %{_datadir}/gnuradio/examples
%{_datadir}/doc

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gnuradio/examples
/usr/libexec/gnuradio/grc_setup_freedesktop
%{_libdir}/cmake

%changelog
* Wed Jan 04 2017 bb <bb> 3.5.10.1-1pclos2017
- new version
- build for updated gsl

* Sun Jan 10 2015 bb <bb> 3.5.9-1pclos2016
- update

* Sat Aug 17 2013 billybot <billybot> 3.6.4.1-2pclos2013
- update python 2.7

* Sat May 11 2013 Ken <lxgator at gmail dot com> 3.6.4.1-1pclos2013
- initial pkg
- fix for 32/64bit (texstar)
